Merge wikimedia-copyrightwarning and wikimedia-editpage-tos-summary
Closed, ResolvedPublic

Description

Let's merge wikimedia-copyrightwarning and wikimedia-editpage-tos-summary. These two messages say basically the same thing, and take up valuable screen space in the edit form. There is no reason to keep both of them.

They have already been merged on the English Wikipedia (as part of the editor redesign initiative) and on Polish Wikipedia (as part of our own redesign, since no WMF guys seem willing to do it for us).

For reference, here are the current contents of both of them (wikiformatting edited for Bugzilla):

  • wikimedia-copyrightwarning: By clicking the "Save" button, you agree to the Terms of use, and you irrevocably agree to release your contribution under the CC-BY-SA 3.0 License and the GFDL. You agree that a hyperlink or URL is sufficient attribution under the Creative Commons license.
  • wikimedia-editpage-tos-summary: If you do not want your writing to be edited and redistributed at will, then do not submit it here. If you did not write this yourself, it must be available under terms consistent with the Terms of Use, and you agree to follow any relevant licensing requirements.

And here's how it currently looks on the English Wikipedia:

  • wikimedia-copyrightwarning: By clicking the "Save Page" button, you agree to the Terms of Use, and you irrevocably agree to release your contribution under the CC-BY-SA 3.0 License and the GFDL. You agree that a hyperlink or URL is sufficient attribution under the Creative Commons license.
  • wikimedia-editpage-tos-summary: *empty*

Version: unspecified
Severity: minor
See Also:
https://bugzilla.wikimedia.org/show_bug.cgi?id=42523

bzimport set Reference to bz42491.
matmarex created this task.Via LegacyNov 28 2012, 6:59 AM
matmarex added a comment.Via ConduitNov 28 2012, 12:02 PM

I submitted I7b14c8a6.

Dereckson added a comment.Via ConduitNov 28 2012, 4:50 PM
  • fr. and commons. don't use that either.
  • a lot of externals wikis don't customize them at all

How to publicize the change, so wikis (our local projects and external users) are aware of the move?

Dereckson added a comment.Via ConduitNov 28 2012, 4:52 PM

Correction: these messages are Wikimedia only (I understand why there were let blank on every checked external wikis).

Dereckson added a comment.Via ConduitNov 29 2012, 10:26 AM

See also bug 42523.

matmarex added a comment.Via ConduitDec 7 2012, 7:23 PM

Here's a reply to my inquiry to Legal:

"It's fine to shorten message such that it only shows the current copyright warning that appears on EN WP. That language was vetted by the Foundation's legal team, whereas the TOS summary was just additional language that is not legally required."

I guess this means that it's best to just drop the second message and keep the first one unchanged. I'm modifying changeset I7b14c8a6 accordingly.

matmarex added a comment.Via ConduitDec 8 2012, 10:22 PM

The modified changeset I7b14c8a6 was merged, so I'm marking as RESOLVED FIXED.

MZMcBride added a subscriber: MZMcBride.Via WebDec 4 2014, 3:25 AM

Add Comment